import java.io.*;
import com.idautomation.linear.*;
import com.idautomation.linear.encoder.*;
import java.awt.*;
import java.awt.image.*;
import javax.swing.*;

public class BC1DTest extends JFrame  {

BarCode bc;	
BufferedImage image;


public BC1DTest() {

	// A simple example of barcoding in an application
	bc =  new BarCode();
	bc.UPCESystem = '0';
	bc.barType = bc.UPCE;
	bc.setDataToEncode("01230000064");
	bc.setSize(400,200);
	
	image = new BufferedImage(200,200,BufferedImage.TYPE_INT_ARGB);
	Graphics2D g = image.createGraphics();
	bc.paint(g);

	ImageIcon icon = new ImageIcon(image);

	JLabel label = new JLabel(icon);
	JDialog jd = new JDialog(this,"Barcode Test");
	jd.getContentPane().add(label);
	jd.setSize(icon.getIconWidth()+10,icon.getIconHeight()+40);
	jd.show();


}

public static void main(String args[]) {
	BC1DTest bc1d = new BC1DTest();
	bc1d.show();
	}
}
